org.apache.hc.client5.http.classic.methods

## Class HttpDelete

- java.lang.Object
- - org.apache.hc.core5.http.message.HeaderGroup
  - - org.apache.hc.core5.http.message.BasicHttpRequest
    - - org.apache.hc.core5.http.message.BasicClassicHttpRequest
      - - org.apache.hc.client5.http.classic.methods.HttpUriRequestBase
        - - org.apache.hc.client5.http.classic.methods.HttpDelete

All Implemented Interfaces:
  Serializable, HttpUriRequest, Configurable, Cancellable, CancellableDependency, ClassicHttpRequest, HttpMessage, HttpRequest, MessageHeaders

    public class HttpDelete
    extends HttpUriRequestBase

HTTP DELETE method.

Since:
  4.0
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `METHOD_NAME`

### Constructor Summary

Constructors
Constructor and Description
`HttpDelete(String uri)` Creates a new instance initialized with the given URI.
`HttpDelete(URI uri)` Creates a new instance initialized with the given URI.

### Method Summary

### Methods inherited from class org.apache.hc.client5.http.classic.methods.HttpUriRequestBase

`abort, cancel, getConfig, isAborted, isCancelled, reset, setConfig, setDependency, toString`

### Methods inherited from class org.apache.hc.core5.http.message.BasicClassicHttpRequest

`getEntity, setEntity`

### Methods inherited from class org.apache.hc.core5.http.message.BasicHttpRequest

`addHeader, getAuthority, getMethod, getPath, getRequestUri, getScheme, getUri, getVersion, setAuthority, setHeader, setPath, setScheme, setVersion`

### Methods inherited from class org.apache.hc.core5.http.message.HeaderGroup

`addHeader, clear, containsHeader, containsHeaders, countHeaders, getAllHeaders, getCondensedHeader, getFirstHeader, getHeader, getHeaders, getHeaders, getLastHeader, getSingleHeader, headerIterator, headerIterator, removeHeader, removeHeaders, removeHeaders, setHeader, setHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.hc.core5.http.ClassicHttpRequest

`getEntity, setEntity`

### Methods inherited from interface org.apache.hc.core5.http.HttpRequest

`getAuthority, getMethod, getPath, getRequestUri, getScheme, getUri, setAuthority, setPath, setScheme`

### Methods inherited from interface org.apache.hc.core5.http.HttpMessage

`addHeader, addHeader, getVersion, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setVersion`

### Methods inherited from interface org.apache.hc.core5.http.MessageHeaders

`containsHeader, containsHeaders, countHeaders, getAllHeaders, getFirstHeader, getHeader, getHeaders, getHeaders, getLastHeader, getSingleHeader, headerIterator, headerIterator`

### Field Detail

#### METHOD_NAME

    public static final String METHOD_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### HttpDelete

    public HttpDelete(URI uri)

Creates a new instance initialized with the given URI.

Parameters:
  `uri` - a non-null request URI.
Throws:
  `IllegalArgumentException` - if the uri is null.

#### HttpDelete

    public HttpDelete(String uri)

Creates a new instance initialized with the given URI.

Parameters:
  `uri` - a non-null request URI.
Throws:
  `IllegalArgumentException` - if the uri is invalid.